Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003822TestLinkTest Plan (builds, milestones, test assign)public2010-10-01 14:342010-11-14 12:07
Reporterzener 
Assigned Toasimon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWin7OS VersionWin7
Product Version1.9 Beta 6 
Fixed in Version1.9 (Prague) 
Summary0003822: 'Keywords' comboobx is absent on the Filters pane of 'Add / Remove Test Cases'
DescriptionThere is no 'Keywords' combobox on the Filters pane for newly created testplan.
It appears after some test cases have been added to the testplan and contain only keywords which assigned to these test cases.
So it is impossible to add test cases to the testplan by keywords.
Steps To Reproduce1. Create some test cases.
2. Create keyword and assign it to testcases.
3. Create new tesetplan.
4. Go to Add / Remove Test Cases.

Actual Result:
There is no 'Keywords' combobox on the Filters pane.
It appears after some test cases have been added to the tesplan and contain only keywords which assigned to these test cases.
So it is impossible to add test cases to the testplan by keywords.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql 5.1.41
BrowserFF 3.6, IE8
PHP Version5.3.1
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0003984closedasimon Add testcase - Keywords filter displayed ONLY AFTER adding test case with keyword 

-  Notes
(0012351)
schlundus (reporter)
2010-11-09 17:02

Just update
\lib\functions\tlTestCaseFilterControl.class.php

search for the function init_filter_keywords()

and add the line
    case 'plan_add_mode':
just for the line
   case 'edit_mode':
(0012352)
fman (administrator)
2010-11-09 17:49

thanks for hint
(0012363)
fman (administrator)
2010-11-10 09:22

Reminder sent to: asimon

Need to ask a favour, think you will be able to validate if the solution proposed has no side effects.
If you confirm is OK, I will do the fix (or can do yourself if you want)
I will be very important fix this (if is so simple) before releasing 1.9

thanks
(0012389)
asimon (developer)
2010-11-10 17:46

I have checked the proposed fix and it is working without errors or side effects, so I just commited it.

Thanks for the help, schlundus!
(0012465)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2010-10-01 14:34 zener New Issue
2010-11-06 15:08 fman Relationship added has duplicate 0003984
2010-11-09 17:02 schlundus Note Added: 0012351
2010-11-09 17:49 fman Note Added: 0012352
2010-11-10 09:22 fman Note Added: 0012363
2010-11-10 17:46 asimon Note Added: 0012389
2010-11-10 17:47 asimon Status new => resolved
2010-11-10 17:47 asimon Fixed in Version => 1.9 (Prague)
2010-11-10 17:47 asimon Resolution open => fixed
2010-11-10 17:47 asimon Assigned To => asimon
2010-11-14 12:07 fman Note Added: 0012465
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker